html {
    scroll-behavior: smooth;
    font-size: 16px;
}

::-webkit-scrollbar {
    width: 10px;
    height: 15px;

}

::-webkit-scrollbar-thumb:vertical {
    height: 30px;
    background-color: #db5c92;
    border-radius: 5px;
}

::-moz-selection {
    color: white;
    background: #db5c92;
}

::selection {
    background: #db5c92;
    color: white;
}

body {
    color: #333333;
    display: flex;
    margin: 0;
    position: absolute;
    width: 100%;
    font-family: 'Varela Round', sans-serif;
}

.content {
    width: 100%;
}

h2 {
    display: inline-block;
    position: relative;
    z-index: 1;
    text-transform: uppercase;
    text-shadow: 0 0.0625rem 1px #ffffff;
}

h2:after {
    content: '';
    position: absolute;
    height: 9px;
    background-color: #50C0D8;
    width: 110%;
    bottom: 3px;
    left: -5%;
    border-radius: 5px;
    transition: 400ms;
    z-index: -1;
}

a {
    color: inherit;
    text-decoration: none;
    position: relative;
    z-index: 1;
}

a:after {
    content: "";
    position: absolute;
    height: 7px;
    width: 7px;
    right: -10px;
    background-color: #50C0D8;
    border-radius: 10px;
    transition: 500ms;
    z-index: -1;
}

a:hover:after {
    content: "";
    position: absolute;
    height: 100%;
    width: calc(100% + 15px);
    background-color: #50C0D8;
    border-radius: 10px;
    transition: 500ms;
}

nav {
    max-width: 20rem;
    width: 100%;
    padding: 2rem 0 2rem 4rem;
}

.nav-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 3.5rem;
}

nav a {
    display: inline-block;
    color: #333333;
    text-decoration: none;
    margin: 1rem 1rem 1rem 0;
    position: relative;
    font-size: 1.5rem;
}

nav .links {
    margin-top: 2rem;
}

nav .links a:after {
    content: '';
    position: absolute;
    height: 12px;
    background-color: #d4ffd9;
    width: 100%;
    bottom: -3px;
    left: 0;
    border-radius: 5px;
    transition: 400ms;
    z-index: -1;
}

nav .links a:hover:after {
    width: calc(100% + 20px);
    height: 12px;
    transition: 400ms;
}

nav .link-wrapper:nth-child(2n) > a:after {
    background-color: #fcdbe9;
}

nav .link-wrapper:nth-child(2n+1) > a:hover:after {
    background-color: #d4ffd9;
}

nav .references a {
    margin: auto 0.8rem auto auto;
}

nav .references a:after {
    content: none;
}

nav .references img {
    width: 30px;
    height: auto;
}

nav .contact {
    margin-top: 1rem;
}

nav .contact a {
    margin: auto;
    position: relative;
    font-size: 1rem;
    display: inline-flex;
    align-items: center;
    line-height: 2rem;
}

nav .contact a:after {
    content: "";
    width: 0;
    height: 0;
    left: calc(20px + 0.5rem);
    bottom: 7px;
}

nav .contact a:hover:after {
    width: calc(100% - 20px);
    height: 5px;
}

nav .contact svg {
    height: auto;
    width: 20px;
    margin-right: 0.5rem;
}

nav .contact svg path {
    fill: #db5c92;
}

section {
    padding: 5rem;
    text-align: center;
    min-height: 100vh;
    box-sizing: border-box;
}

section:nth-child(2n+1) {
    background: linear-gradient(90deg, rgba(255, 255, 255, 1) 0%, rgba(234, 250, 241, 1) 20%, rgba(212, 255, 217, 1) 100%);
}

header .title {
    display: block;
    font-size: 2rem;
}

header .subtitle {
    font-size: 1.3rem;
    font-weight: lighter;
    opacity: 0.8;
}

section#parcours .timelines {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

section#parcours article {
    max-width: 768px;
    width: 100%;
    margin-bottom: 2rem;
}

.pro-timeline {
    padding: 3rem;
    position: relative;
    display: flex;
    box-shadow: 0 0.6rem 1rem rgba(144, 143, 166, 0.2);
}

.pro-timeline .date {
    font-size: 1rem;
    font-weight: lighter;
}

.pro-timeline img {
    width: 100px;
    height: 100px;
}

.pro-timeline:nth-of-type(1) {
    text-align: left;
    justify-content: left;
    border-left: 5px solid #db5c92;
    border-radius: 20px;
    padding-right: 2rem;
    box-shadow: 0 0.6rem 1rem rgba(144, 143, 166, 0.2);
}

.pro-timeline:nth-of-type(2) {
    text-align: right;
    justify-content: flex-end;
    border-right: 5px solid #db5c92;
    border-radius: 20px;
    padding-left: 2rem;
}

.pro-timeline:nth-of-type(2) .text {
    margin-right: 20px;
}

.pro-timeline:nth-of-type(3) {
    text-align: left;
    justify-content: flex-start;
    border-left: 5px solid #db5c92;
    border-radius: 20px;
}

.pro-timeline:nth-of-type(1) .text, .pro-timeline:nth-of-type(3) .text {
    margin-left: 20px;
}

section#skills .blocks {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

section#skills .blocks .skill {
    flex-basis: 15%;
    min-width: 13rem;
    margin-top: 20px;
    margin-left: 10px;
    margin-right: 10px;
    padding: 1rem;
    border-radius: 1rem;
    box-shadow: 0 0.1875rem 1.375rem rgba(144, 143, 166, 0.2);
    border-bottom: 5px solid #db5c92;
}

section#skills .blocks .skill svg {
    position: relative;
    width: 50px;
    height: 50px;
    background: #d4ffd9;
    border-radius: 25%;
    padding: 1rem;
}

section#skills .blocks .skill svg path {
    fill: #db5c92;
}

section#skills .blocks .skill h3 {
    position: relative;
}

section#skills .blocks .skill h3 span {
    display: block;
    font-size: 1rem;
    opacity: 0.8;
}

section#skills .blocks .skill h3 hr {
    position: absolute;
    height: 15px;
    background-color: #d4ffd9;
    width: 100%;
    bottom: 0;
    left: 0;
    border: 0;
    border-radius: 15px;
    transition: 400ms;
    z-index: -1;
}

section#skills .blocks .skill ul {
    padding: 0;
}

section#skills .blocks .skill li {
    position: relative;
    text-align: center;
    list-style-type: none;
    margin-bottom: 10px;
}

section#school article {
    position: relative;
    padding: 2rem;
    max-width: 768px;
    margin: auto;
}

section#school article:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 150%;
    width: 10px;
    border-radius: 5px;
    background-color: #db5c92;
}

section#school article:first-of-type {
    margin-top: 2.5rem;
}

section#school article:first-of-type:after {
    content: "";
    position: absolute;
    top: 0;
    left: -8px;
    border-left: 7px solid #db5c92;
    border-top: 7px solid #db5c92;
    width: 20px;
    height: 20px;
    transform: rotate(45deg);
    border-radius: 8px;
}

section#school h3 {
    padding-left: 3rem;
    padding-right: 3rem;
}

section#school h3:after {
    content: "";
    position: absolute;
    height: 80%;
    width: 60%;
    border-right: 5px solid #db5c92;
    top: 8%;
    right: 0;
    border-radius: 0 50px 50px 0;
    box-shadow: 0.6rem 0 1rem rgba(144, 143, 166, 0.2);
}

section#school .date {
    position: absolute;
    left: -60px;
    background-color: white;
    font-size: 1rem;
    padding: 0.5rem 0.9rem 0.3rem 0.9rem;
    border-radius: 1rem;
    box-shadow: 0 0.1rem 0.5rem rgba(144, 143, 166, 0.2);
    border-bottom: 3px solid #db5c92;
}

@media all and (max-width: 960px) {
    nav {
        padding-left: 2rem;
        max-width: 18rem;
    }
}

section {
    position: relative;
}

.custom-shape-divider-top-1597655678 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.custom-shape-divider-top-1597655678 svg {
    position: relative;
    display: block;
    width: calc(207% + 1.3px);
    height: 71px;
}

.custom-shape-divider-top-1597655678 .shape-fill {
    fill: #FFFFFF;
}

.custom-shape-divider-bottom-1597655882 {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.custom-shape-divider-bottom-1597655882 svg {
    position: relative;
    display: block;
    width: calc(119% + 1.3px);
    height: 37px;
    transform: rotateY(180deg);
}

.custom-shape-divider-bottom-1597655882 .shape-fill {
    fill: #FFFFFF;
}

@media all and (max-width: 767px) {

    body {
        display: block;
        top: 0;
    }

    nav {
        padding: 0;
    }

    h2 {
        margin-bottom: 4rem;
    }

    h2:after {
        border-radius: 5px;
        content: "";
        position: absolute;
        bottom: -2rem;
        width: 50%;
        left: 25%;
        height: 5px;
        background-color: #50C0D8;
    }

    a:after {
        content: none;

    }

    .nav-sticky {
        position: unset;
        width: 100vw;
    }

    nav header {
        background-color: #ffffff;
        padding-bottom: 1rem;
        position: relative;
        text-align: center;
        top: 0;
        width: 100%;
        z-index: 3;
    }

    nav .contact a {
        display: flex;
        justify-content: center;
    }

    nav .links {
        position: fixed;
        bottom: 0;
        z-index: 3;
        width: 100%;
        border-radius: 50%;
    }

    nav .links a {
        margin: 5px 0;
    }

    nav .links a:after {
        content: none;
    }

    .links .menu-button {
        display: block;
        width: 150px;
        height: 150px;
        background-color: #db5c92;
        position: absolute;
        bottom: -85px;
        left: -85px;
        border-radius: 50%;
        text-align: center;
        font-size: 35px;
        color: white;
        transition: all 1s;
    }

    .link-wrapper a {
        opacity: 0;
        transition: opacity 1s ease .3s;
    }

    .links.open .link-wrapper a {
        opacity: 1;
    }

    .links.open {
        display: block;
        background-color: transparent;
    }

    .links.open .menu-button {
        width: 150vw;
        height: 80vh;
        bottom: -50vw;
        left: -75%;
    }

    .links.open .link-wrapper {
        display: block;
        text-align: left;
        text-transform: uppercase;
        font-weight: bold;
        margin-left: 20px;
        margin-bottom: 20px;
        z-index: 1;
        position: relative;
        opacity: 1;
        visibility: visible;
    }

    .links.open .burger, .links.open .burger:before, .links.open .burger:after {
        height: 5px;
    }

    .links.open .burger {
        height: 0;
        right: 40%;
    }

    .links.open .burger:after {
        top: 0;
        right: -13px;
        transform: rotate(-45deg);
    }

    .links.open .burger:before {
        top: 0;
        right: -13px;
        transform: rotate(45deg);
    }

    .links.open .link-wrapper span {
        opacity: 1;
    }

    .burger, .burger:before, .burger:after {
        width: 25px;
        height: 3px;
        background-color: white;
        display: block;
        position: absolute;
        border-radius: 5px;
        transform: translate(-50%);
        top: 45px;
        transition: transform 1s, top .5s;
    }

    .burger {
        right: 15px;
    }

    .burger:before {
        content: "";
        top: -7px;
        right: -13px;
    }

    .burger:after {
        content: "";
        top: 7px;
        right: -13px;
    }

    nav .link-wrapper {
        text-align: center;
        visibility: hidden;
        opacity: 0;
        transition: opacity 1s ease .3s;
    }

    nav .link-wrapper span {
        color: #fcdbe9;
        font-size: 1.3rem;
        opacity: 0;
        transition: opacity 1s ease .3s;
    }

    .hidden-mobile {
        display: none;
    }

    section {
        padding: 1rem 2rem;
        position: relative;
    }

    section#parcours .timelines {
        padding-bottom: 2rem;
    }

    section#parcours article.pro-timeline {
        flex-direction: column;
        text-align: center;
        padding: 1rem;
    }

    section#parcours article.pro-timeline .text {
        margin: auto;
    }

    section#parcours article.pro-timeline:nth-of-type(2) {
        flex-direction: column-reverse;
    }

    .pro-timeline img {
        margin: 1rem auto;
        width: 150px;
        height: auto;
    }

    .pro-timeline .date {
        position: unset;
        background: transparent;
        display: block;
    }

    section#parcours h3 {
        margin-top: 0;
        margin-bottom: 0;
    }

    section#parcours p {
        margin-top: 0;
    }

    section#skills .blocks .skill {
        flex-basis: 100%;
    }

    section#skills .blocks .skill:first-of-type {
        margin-top: 0;
    }

    section#school {
        padding-top: 2rem;
    }

    section#school article {
        margin-left: 2rem;
        padding-right: 0;
        padding-left: 1rem;
    }

    section#school article:first-of-type {
        margin-top: 0;
    }

    section#school h3, section#school p {
        padding-left: 3.5rem;
        padding-right: 0;
    }

    section#school h3 span {
        line-height: initial;
    }

    section#school h3:after {
        border-radius: 0 20px 20px 0;
    }

    section#school .date {
        left: -50px;
        top: 37px;
    }
}

@media all and (min-width: 768px) {
    .hidden-desktop {
        display: none;
    }
}